    import FFT from 'music-tempo-js/src/FFT.js'

public class | source

# FFT

Class containing methods for Fast Fourier Transform

## Static Method Summary

Static Public Methods
public static | getHammingWindow(bufferSize: Number): Array Get Hamming window |
public static | getSpectrum(re: Array, im: Array) Computes FFT and converts the results to magnitude representation |

## Static Public Methods

### public static getHammingWindow(bufferSize: Number): Array source

Get Hamming window

#### Params:

Name | Type | Attribute | Description
bufferSize | Number |  | windows size

#### Return:

Array | wnd - Hamming window

### public static getSpectrum(re: Array, im: Array) source

Computes FFT and converts the results to magnitude representation

#### Params:

Name | Type | Attribute | Description
re | Array |  | the real part of the input data and the magnitude of the output data
im | Array |  | the imaginary part of the input data